﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebApplication93.WebForm1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    	<asp:DataList ID="DataList1" runat="server" DataKeyField="KsiazkaID" DataSourceID="SqlDataSource1" RepeatColumns="2" OnEditCommand="DataList1_EditCommand" OnUpdateCommand="DataList1_UpdateCommand">
			<EditItemTemplate>
				<table>
					<tr>
						<td>
							Tytuł:
						</td>
						<td>
							<asp:TextBox ID="TextBoxTytul" Text='<%# Bind("Tytul") %>' runat="server"></asp:TextBox>
						</td>
					</tr>

					<tr>
						<td>
							Cena:
						</td>
						<td>
							<asp:TextBox ID="TextBoxCena" Text='<%# Bind("Cena") %>' runat="server"></asp:TextBox>
						</td>
					</tr>

					<tr>
						<td>
							Rok wydania:
						</td>
						<td>
							<asp:TextBox ID="TextBoxRokWydania" Text='<%# Bind("RokWydania") %>' runat="server"></asp:TextBox>
						</td>
					</tr>

					<tr>
						<td>
							Dostępność:
						</td>
						<td>
							<asp:CheckBox ID="CheckBoxDostepnosc" Checked='<%# Bind("Dostepnosc") %>' runat="server" />
						</td>
					</tr>

					<tr>
						<td>
							&nbsp;
						</td>
						<td>
							<asp:Button ID="ButtonUpdate" CommandName="Update" runat="server" Text="Zapisz" />
						</td>
					</tr>
				</table>
			</EditItemTemplate>

			<ItemTemplate>
				<table>
					<tr>
						<td>
							Tytuł:
						</td>
						<td>
							<asp:TextBox ID="TextBoxTytul" ReadOnly="true" Text='<%# Eval("Tytul") %>' runat="server"></asp:TextBox>
						</td>
					</tr>

					<tr>
						<td>
							Cena:
						</td>
						<td>
							<asp:TextBox ID="TextBoxCena" ReadOnly="true" Text='<%# Eval("Cena") %>' runat="server"></asp:TextBox>
						</td>
					</tr>

					<tr>
						<td>
							Rok wydania:
						</td>
						<td>
							<asp:TextBox ID="TextBoxRokWydania" ReadOnly="true" Text='<%# Eval("RokWydania") %>' runat="server"></asp:TextBox>
						</td>
					</tr>

					<tr>
						<td>
							Dostępność:
						</td>
						<td>
							<asp:CheckBox ID="CheckBoxDostepnosc" Enabled="false" Checked='<%# Eval("Dostepnosc") %>' runat="server" />
						</td>
					</tr>

					<tr>
						<td>
							&nbsp;
						</td>
						<td>
							<asp:Button ID="ButtonEdit" CommandName="Edit" runat="server" Text="Edytuj" />
						</td>
					</tr>
				</table>
			</ItemTemplate>
		</asp:DataList>
		<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" SelectCommand="SELECT * FROM [Ksiazki] ORDER BY [Tytul]" UpdateCommand="UPDATE Ksiazki SET Tytul = @Tytul, Cena = @Cena, RokWydania = @RokWydania, Dostepnosc = @Dostepnosc WHERE KsiazkaID=@KsiazkaID">
			<UpdateParameters>
				<asp:Parameter Name="Tytul" />
				<asp:Parameter Name="Cena" />
				<asp:Parameter Name="RokWydania" />
				<asp:Parameter Name="Dostepnosc" />
				<asp:Parameter Name="KsiazkaID" />
			</UpdateParameters>
		</asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
